You are not logged in.

#1 2013-05-11 09:47:32

Cthulhu82
Member
From: Angers, France
Registered: 2013-04-01
Posts: 149

[Solved] Pidgin/libpurple problem - no login

Hello everybody.

Since 2 days now (my last massive update), I can't acces my google talk account with gnome.
The problem appeared with empathy/gnome online accounts : empathy try to login, but nothing append. I delete the account in GOA and try to add it again, nothing. The same problem seems to exist with facebook account : GOA don't even propose me the login interface.

I installed Pidgin and tried to use my google account with it and it is the same, it cannot reach it…
Here is the debug log from Pidgin :

(11:25:37) prefs: Reading /home/damien/.purple/prefs.xml
(11:25:37) prefs: Finished reading /home/damien/.purple/prefs.xml
(11:25:37) prefs: purple_prefs_get_path: Unknown pref /pidgin/browsers/command
(11:25:37) dbus: okkk
(11:25:37) plugins: probing /usr/lib/pidgin/gestures.so
(11:25:37) plugins: probing /usr/lib/pidgin/history.so
(11:25:37) plugins: probing /usr/lib/pidgin/relnot.so
(11:25:37) plugins: probing /usr/lib/pidgin/spellchk.so
(11:25:37) plugins: probing /usr/lib/pidgin/iconaway.so
(11:25:37) plugins: probing /usr/lib/pidgin/gtkbuddynote.so
(11:25:37) plugins: probing /usr/lib/pidgin/timestamp.so
(11:25:37) plugins: probing /usr/lib/pidgin/pidginrc.so
(11:25:37) plugins: probing /usr/lib/pidgin/extplacement.so
(11:25:37) plugins: probing /usr/lib/pidgin/themeedit.so
(11:25:37) plugins: probing /usr/lib/pidgin/convcolors.so
(11:25:37) plugins: probing /usr/lib/pidgin/markerline.so
(11:25:37) plugins: probing /usr/lib/pidgin/vvconfig.so
(11:25:37) plugins: probing /usr/lib/pidgin/ticker.so
(11:25:37) plugins: probing /usr/lib/pidgin/sendbutton.so
(11:25:37) plugins: probing /usr/lib/pidgin/musicmessaging.so
(11:25:37) plugins: probing /usr/lib/pidgin/notify.so
(11:25:37) plugins: probing /usr/lib/pidgin/timestamp_format.so
(11:25:37) plugins: probing /usr/lib/pidgin/xmppconsole.so
(11:25:37) plugins: probing /usr/lib/pidgin/xmppdisco.so
(11:25:37) plugins: probing /usr/lib/purple-2/tcl.so
(11:25:37) plugins: probing /usr/lib/purple-2/libmxit.so
(11:25:37) prpl-loubserp-mxit: Loading MXit libPurple plugin...
(11:25:37) plugins: probing /usr/lib/purple-2/libzephyr.so
(11:25:37) plugins: probing /usr/lib/purple-2/libyahoojp.so
(11:25:37) plugins: probing /usr/lib/purple-2/libjabber.so
(11:25:37) plugins: /usr/lib/purple-2/libjabber.so is not usable because the 'purple_init_plugin' symbol could not be found.  Does the plugin call the PURPLE_INIT_PLUGIN() macro?
(11:25:37) plugins: probing /usr/lib/purple-2/libsimple.so
(11:25:37) plugins: probing /usr/lib/purple-2/libirc.so
(11:25:37) plugins: probing /usr/lib/purple-2/statenotify.so
(11:25:37) plugins: probing /usr/lib/purple-2/newline.so
(11:25:37) plugins: probing /usr/lib/purple-2/buddynote.so
(11:25:37) plugins: probing /usr/lib/purple-2/joinpart.so
(11:25:37) plugins: probing /usr/lib/purple-2/libmsn.so
(11:25:37) plugins: probing /usr/lib/purple-2/libyahoo.so
(11:25:37) plugins: probing /usr/lib/purple-2/libbonjour.so
(11:25:37) plugins: probing /usr/lib/purple-2/libgg.so
(11:25:37) plugins: probing /usr/lib/purple-2/idle.so
(11:25:37) plugins: probing /usr/lib/purple-2/ssl-nss.so
(11:25:37) plugins: probing /usr/lib/purple-2/autoaccept.so
(11:25:37) plugins: probing /usr/lib/purple-2/libnovell.so
(11:25:37) plugins: probing /usr/lib/purple-2/libmyspace.so
(11:25:37) plugins: probing /usr/lib/purple-2/libxmpp.so
(11:25:37) plugins: probing /usr/lib/purple-2/offlinemsg.so
(11:25:37) plugins: probing /usr/lib/purple-2/log_reader.so
(11:25:37) plugins: probing /usr/lib/purple-2/libymsg.so
(11:25:37) plugins: /usr/lib/purple-2/libymsg.so is not usable because the 'purple_init_plugin' symbol could not be found.  Does the plugin call the PURPLE_INIT_PLUGIN() macro?
(11:25:37) plugins: probing /usr/lib/purple-2/psychic.so
(11:25:37) plugins: probing /usr/lib/purple-2/dbus-example.so
(11:25:37) plugins: probing /usr/lib/purple-2/libaim.so
(11:25:37) plugins: probing /usr/lib/purple-2/ssl.so
(11:25:37) plugins: probing /usr/lib/purple-2/perl.so
(11:25:37) plugins: probing /usr/lib/purple-2/libicq.so
(11:25:37) plugins: probing /usr/lib/purple-2/liboscar.so
(11:25:37) plugins: /usr/lib/purple-2/liboscar.so is not usable because the 'purple_init_plugin' symbol could not be found.  Does the plugin call the PURPLE_INIT_PLUGIN() macro?
(11:25:37) util: Reading file xmpp-caps.xml from directory /home/damien/.purple
(11:25:37) util: File /home/damien/.purple/xmpp-caps.xml does not exist (this is not necessarily an error)
(11:25:37) jabber: creating hash tables for data objects
(11:25:37) prefs: /purple/status/scores/offline changed, scheduling save.
(11:25:37) prefs: /purple/status/scores/available changed, scheduling save.
(11:25:37) prefs: /purple/status/scores/invisible changed, scheduling save.
(11:25:37) prefs: /purple/status/scores/away changed, scheduling save.
(11:25:37) prefs: /purple/status/scores/extended_away changed, scheduling save.
(11:25:37) prefs: /purple/status/scores/idle changed, scheduling save.
(11:25:37) prefs: /purple/status/scores/offline_msg changed, scheduling save.
(11:25:37) util: Reading file accounts.xml from directory /home/damien/.purple
(11:25:37) util: Reading file status.xml from directory /home/damien/.purple
(11:25:37) certificate: CertificateVerifier x509, singleuse requested but not found.
(11:25:37) certificate: CertificateVerifier singleuse registered
(11:25:37) certificate: CertificatePool x509, ca requested but not found.
(11:25:37) certificate: CertificateScheme x509 requested but not found.
(11:25:37) certificate/x509/ca: Lazy init failed because an X.509 Scheme is not yet registered. Maybe it will be better later.
(11:25:37) certificate/x509/ca: Init failed, probably because a dependency is not yet registered. It has been deferred to later.
(11:25:37) certificate: CertificatePool ca registered
(11:25:37) certificate: CertificatePool x509, tls_peers requested but not found.
(11:25:37) certificate: CertificatePool tls_peers registered
(11:25:37) certificate: CertificateVerifier x509, tls_cached requested but not found.
(11:25:37) certificate: CertificateVerifier tls_cached registered
(11:25:37) prefs: /purple/logging/format changed, scheduling save.
(11:25:37) prefs: /purple/logging/format changed, scheduling save.
(11:25:37) prefs: /purple/proxy/type changed, scheduling save.
(11:25:37) prefs: /purple/proxy/host changed, scheduling save.
(11:25:37) prefs: /purple/proxy/port changed, scheduling save.
(11:25:37) prefs: /purple/proxy/username changed, scheduling save.
(11:25:37) prefs: /purple/proxy/password changed, scheduling save.
(11:25:37) certificate: CertificateScheme x509 requested but not found.
(11:25:37) certificate: CertificateScheme x509 registered
(11:25:37) util: Reading file smileys.xml from directory /home/damien/.purple
(11:25:37) util: File /home/damien/.purple/smileys.xml does not exist (this is not necessarily an error)
(11:25:37) stun: using server 
(11:25:37) sound: Initializing sound output drivers.
(11:25:37) prefs: /pidgin/conversations/placement changed, scheduling save.
(11:25:37) prefs: purple_prefs_get_bool: Unknown pref /pidgin/docklet/x11/embedded
(11:25:37) GLib-GObject: gsignal.c:2475: signal `destroy' is invalid for instance `0x19a70c0' of type `GtkStatusIcon'
(11:25:37) gtkblist: added visibility manager: 1
(11:25:37) docklet: GTK+ created
(11:25:37) gtkmedia: Registering media element types
(11:25:37) util: Reading file blist.xml from directory /home/damien/.purple
(11:25:37) pounce: Error reading pounces: L'ouverture du fichier « /home/damien/.purple/pounces.xml » a échoué : Aucun fichier ou dossier de ce type
(11:25:37) Session Management: ICE initialized.
(11:25:37) Session Management: Connecting with no previous ID
(11:25:37) Session Management: Handling new ICE connection... 
(11:25:37) done.
(11:25:37) Session Management: Connected to manager (gnome-session) with client ID 10319a710810406a35136826433783426200000009780038
(11:25:37) Session Management: Using pidgin as command
(11:25:37) account: Connecting to account damien.carcel@gmail.com/.
(11:25:37) connection: Connecting. gc = 0x252e7a0
(11:25:37) util: Writing file /home/damien/.purple/icons/a20e8556db766e268400d92c40f6ffb645a7aa90.png
(11:25:38) dnssrv: querying SRV record for gmail.com: _xmpp-client._tcp.gmail.com
(11:25:38) Session Management: Received first save_yourself
(11:25:38) Session Management: Received save_complete
(11:25:38) docklet: embedded
(11:25:38) dnssrv: found 5 SRV entries
(11:25:38) dnsquery: Performing DNS lookup for xmpp.l.google.com
(11:25:38) dns: Created new DNS child 2892, there are now 1 children.
(11:25:38) dns: Successfully sent DNS request to child 2892
(11:25:38) dns: Got response for 'xmpp.l.google.com'
(11:25:38) dnsquery: IP resolved for xmpp.l.google.com
(11:25:38) proxy: Attempting connection to 2a00:1450:400c:c00::7d
(11:25:38) proxy: Connecting to xmpp.l.google.com:5222 with no proxy
(11:25:38) proxy: Connection in progress
(11:25:43) util: Writing file prefs.xml to directory /home/damien/.purple
(11:25:43) util: Writing file /home/damien/.purple/prefs.xml
(11:25:43) util: Writing file accounts.xml to directory /home/damien/.purple
(11:25:43) util: Writing file /home/damien/.purple/accounts.xml
dns[2892]: nobody needs me... =(

And this is the packages I updated before the problem appears (I tried to downgrade the gnome control center, but it didn't change anything).

[2013-05-09 19:50] [PACMAN] Running 'pacman -Syu'
[2013-05-09 19:50] [PACMAN] synchronizing package lists
[2013-05-09 19:51] [PACMAN] starting full system upgrade
[2013-05-09 19:52] [PACMAN] Running 'pacman -Su pacman'
[2013-05-09 19:52] [PACMAN] starting full system upgrade
[2013-05-09 19:54] [PACMAN] Running 'pacman -S pacman'
[2013-05-09 19:54] [PACMAN] upgraded pacman (4.1.0-2 -> 4.1.1-1)
[2013-05-09 19:54] [PACMAN] Running 'pacman -Syu'
[2013-05-09 19:54] [PACMAN] synchronizing package lists
[2013-05-09 19:55] [PACMAN] starting full system upgrade
[2013-05-09 20:02] [PACMAN] upgraded alsa-lib (1.0.27-1 -> 1.0.27-2)
[2013-05-09 20:02] [PACMAN] upgraded avahi (0.6.31-6 -> 0.6.31-7)
[2013-05-09 20:02] [PACMAN] upgraded libpng (1.5.15-1 -> 1.6.2-3)
[2013-05-09 20:02] [PACMAN] upgraded cairo (1.12.14-3 -> 1.12.14-4)
[2013-05-09 20:02] [PACMAN] upgraded cairomm (1.10.0-2 -> 1.10.0-3)
[2013-05-09 20:02] [PACMAN] upgraded celestia (1.6.1-4 -> 1.6.1-5)
[2013-05-09 20:02] [PACMAN] upgraded openjpeg (1.5.0-1 -> 1.5.1-1)
[2013-05-09 20:02] [PACMAN] upgraded poppler (0.22.3-2 -> 0.22.3-3)
[2013-05-09 20:02] [PACMAN] upgraded cups-filters (1.0.34-2 -> 1.0.34-3)
[2013-05-09 20:02] [PACMAN] upgraded dirmngr (1.1.0-5 -> 1.1.1-1)
[2013-05-09 20:02] [PACMAN] upgraded eina (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded eet (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [ALPM-SCRIPTLET] g_module_open() failed for /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: libpng15.so.15: cannot open shared object file: No such file or directory
[2013-05-09 20:02] [PACMAN] upgraded gdk-pixbuf2 (2.28.1-1 -> 2.28.1-2)
[2013-05-09 20:02] [PACMAN] upgraded librsvg (2.37.0-1 -> 2.37.0-2)
[2013-05-09 20:02] [PACMAN] upgraded evas_generic_loaders (1.7.5-4 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded evas (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded ecore (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded e_dbus (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded eio (1.7.5-1 -> 1.7.6.1-1)
[2013-05-09 20:02] [PACMAN] upgraded embryo (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded edje (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded systemd (202-2 -> 203-2)
[2013-05-09 20:02] [PACMAN] upgraded eeze (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded efreet (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded emotion (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded ethumb (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded elementary (1.7.5-1 -> 1.7.6-1)
[2013-05-09 20:02] [PACMAN] upgraded extremetuxracer (0.4-5 -> 0.4-6)
[2013-05-09 20:02] [PACMAN] upgraded firefox (20.0.1-2 -> 20.0.1-5)
[2013-05-09 20:02] [PACMAN] upgraded gd (2.0.36RC1-5 -> 2.0.36RC1-6)
[2013-05-09 20:02] [PACMAN] upgraded gegl (0.2.0-7 -> 0.2.0-8)
[2013-05-09 20:02] [PACMAN] upgraded ghostscript (9.07-1 -> 9.07-2)
[2013-05-09 20:02] [PACMAN] upgraded libwmf (0.2.8.4-9 -> 0.2.8.4-10)
[2013-05-09 20:02] [PACMAN] upgraded gimp (2.8.4-1 -> 2.8.4-2)
[2013-05-09 20:02] [PACMAN] upgraded gimp-plugin-gmic (1.5.5.2-1 -> 1.5.5.2-2)
[2013-05-09 20:02] [PACMAN] upgraded gimp-plugin-mathmap (1.3.5-2 -> 1.3.5-3)
[2013-05-09 20:02] [PACMAN] upgraded gimp-ufraw (0.19-1 -> 0.19-2)
[2013-05-09 20:02] [PACMAN] upgraded gnome-control-center (3.8.1-1 -> 3.8.1.5-1)
[2013-05-09 20:02] [PACMAN] upgraded gnome-icon-theme-symbolic (3.8.0.1-1 -> 3.8.0.1-2)
[2013-05-09 20:02] [PACMAN] upgraded gpgme (1.4.0-1 -> 1.4.1-1)
[2013-05-09 20:02] [PACMAN] upgraded graphviz (2.30.1-2 -> 2.30.1-3)
[2013-05-09 20:02] [PACMAN] upgraded gst-plugins-good (1.0.7-1 -> 1.0.7-2)
[2013-05-09 20:02] [PACMAN] upgraded gstreamer0.10-bad (0.10.23-3 -> 0.10.23-4)
[2013-05-09 20:02] [PACMAN] upgraded mjpegtools (2.0.0-2 -> 2.0.0-3)
[2013-05-09 20:03] [PACMAN] upgraded gstreamer0.10-bad-plugins (0.10.23-3 -> 0.10.23-4)
[2013-05-09 20:03] [PACMAN] upgraded gstreamer0.10-good (0.10.31-1 -> 0.10.31-3)
[2013-05-09 20:03] [PACMAN] upgraded gstreamer0.10-good-plugins (0.10.31-1 -> 0.10.31-3)
[2013-05-09 20:03] [PACMAN] upgraded imagemagick (6.8.4.10-1 -> 6.8.5.3-1)
[2013-05-09 20:03] [PACMAN] upgraded imlib2 (1.4.5-2 -> 1.4.5-4)
[2013-05-09 20:03] [PACMAN] upgraded libxslt (1.1.26-3 -> 1.1.28-1)
[2013-05-09 20:03] [PACMAN] upgraded poppler-glib (0.22.3-2 -> 0.22.3-3)
[2013-05-09 20:03] [PACMAN] upgraded inkscape (0.48.4-6 -> 0.48.4-7)
[2013-05-09 20:03] [PACMAN] upgraded iproute2 (3.8.0-1 -> 3.9.0-1)
[2013-05-09 20:03] [PACMAN] upgraded lib32-libpng (1.5.15-1 -> 1.6.2-1)
[2013-05-09 20:03] [PACMAN] upgraded lib32-cairo (1.12.14-3 -> 1.12.14-4)
[2013-05-09 20:03] [PACMAN] upgraded lib32-pango (1.34.0-1 -> 1.34.0-2)
[2013-05-09 20:03] [PACMAN] upgraded qt4 (4.8.4-16 -> 4.8.4-17)
[2013-05-09 20:03] [PACMAN] upgraded lib32-qt4 (4.8.4-4 -> 4.8.4-5)
[2013-05-09 20:03] [PACMAN] upgraded lib32-systemd (202-1 -> 203-1)
[2013-05-09 20:03] [PACMAN] upgraded libgdiplus (2.10-3 -> 2.10-4)
[2013-05-09 20:03] [PACMAN] upgraded libgxps (0.2.2-2 -> 0.2.2-3)
[2013-05-09 20:03] [PACMAN] upgraded libkate (0.4.1-3 -> 0.4.1-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-common (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-base (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-calc (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-draw (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-extension-presentation-minimizer (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-gnome (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-impress (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-math (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libreoffice-writer (4.0.2-3 -> 4.0.2-4)
[2013-05-09 20:03] [PACMAN] upgraded libtracker-sparql (0.16.0-4 -> 0.16.1-1)
[2013-05-09 20:03] [PACMAN] upgraded libwebp (0.3.0-1 -> 0.3.0-3)
[2013-05-09 20:03] [PACMAN] upgraded mkinitcpio (0.13.0-1 -> 0.14.0-1)
[2013-05-09 20:03] [PACMAN] upgraded mono (2.10.8-2 -> 2.10.9-1)
[2013-05-09 20:03] [PACMAN] upgraded pinentry (0.8.2-2 -> 0.8.3-1)
[2013-05-09 20:03] [PACMAN] upgraded plotutils (2.6-3 -> 2.6-5)
[2013-05-09 20:03] [PACMAN] upgraded python-matplotlib (1.2.1-1 -> 1.2.1-2)
[2013-05-09 20:03] [PACMAN] upgraded qtwebkit (2.3.1-1 -> 2.3.1-2)
[2013-05-09 20:03] [PACMAN] upgraded sdl_image (1.2.12-2 -> 1.2.12-3)
[2013-05-09 20:03] [PACMAN] upgraded system-config-printer (1.3.12-2 -> 1.4.0-1)
[2013-05-09 20:03] [PACMAN] upgraded systemd-sysvcompat (202-2 -> 203-2)
[2013-05-09 20:03] [ALPM-SCRIPTLET] >>> texlive: updating the filename database...
[2013-05-09 20:03] [ALPM-SCRIPTLET] mktexlsr: Updating /etc/texmf/ls-R... 
[2013-05-09 20:03] [ALPM-SCRIPTLET] mktexlsr: Updating /usr/share/texmf/ls-R... 
[2013-05-09 20:03] [ALPM-SCRIPTLET] mktexlsr: Updating /usr/share/texmf-dist/ls-R... 
[2013-05-09 20:03] [ALPM-SCRIPTLET] mktexlsr: Updating /var/lib/texmf/ls-R... 
[2013-05-09 20:03] [ALPM-SCRIPTLET] mktexlsr: Done.
[2013-05-09 20:03] [ALPM-SCRIPTLET] recreating all formats... done.
[2013-05-09 20:03] [ALPM-SCRIPTLET]  (logs are under /var/lib/texmf/web2c/<engine>/<formatname>.log)
[2013-05-09 20:03] [PACMAN] upgraded texlive-bin (2012.0-10 -> 2012.0-11)
[2013-05-09 20:03] [PACMAN] upgraded tracker (0.16.0-4 -> 0.16.1-1)
[2013-05-09 20:03] [PACMAN] upgraded zvbi (0.2.33-4 -> 0.2.33-5)
[2013-05-09 20:03] [PACMAN] upgraded vlc (2.0.6-1 -> 2.0.6-2)
[2013-05-09 20:03] [PACMAN] upgraded webkitgtk3 (2.0.1-1 -> 2.0.1-2)
[2013-05-09 20:03] [PACMAN] upgraded wxgtk (2.8.12.1-4 -> 2.8.12.1-5)
[2013-05-09 20:03] [PACMAN] upgraded youtube-dl (2013.04.31-1 -> 2013.05.07-1)

I update again since, so my system is up to date.

Last edited by Cthulhu82 (2013-05-12 12:35:47)


« En essayant continuellement, on finit par réussir.
Donc plus ça rate, plus ça a de chance de marcher. »
Devise Shadock

Offline

#2 2013-05-12 07:29:14

t0m5k1
Member
From: overthere
Registered: 2012-02-10
Posts: 310

Re: [Solved] Pidgin/libpurple problem - no login

Can you connect with another protocol, like MSN?

Does your ISP support ipV6????

(11:25:38) dnsquery: Performing DNS lookup for xmpp.l.google.com
(11:25:38) dns: Created new DNS child 2892, there are now 1 children.
(11:25:38) dns: Successfully sent DNS request to child 2892
(11:25:38) dns: Got response for 'xmpp.l.google.com'
(11:25:38) dnsquery: IP resolved for xmpp.l.google.com
(11:25:38) proxy: Attempting connection to 2a00:1450:400c:c00::7d
(11:25:38) proxy: Connecting to xmpp.l.google.com:5222 with no proxy
(11:25:38) proxy: Connection in progress

If not the disable ipV6 by editing/creating
/etc/sysctl.d/ipv6.conf

# Disable IPv6
net.ipv6.conf.all.disable_ipv6 = 1
net.ipv6.conf.<interface0>.disable_ipv6 = 1
...
net.ipv6.conf.<interfaceN>.disable_ipv6 = 1

afterwards reboot & retry


Optiplex 790, Intel Core i3-2100 CPU @ 3.10GHz 16Mb Corsair Vengeance 1333Mhz - GeForce 970 - AwesomeWM (occasionally XFCE, i3)

If everything in life was easy, we would learn nothing!
Linux User: 401820   Last FM

Offline

#3 2013-05-12 08:05:23

Cthulhu82
Member
From: Angers, France
Registered: 2013-04-01
Posts: 149

Re: [Solved] Pidgin/libpurple problem - no login

I just tried my Windows live account, it works. But Google and Facebook are not.

My ISP support ipV6 (I just checked that it is still active in my modem configuration : it is).
I tried just in case to disable ipV6 as you proposed, didn't change anything.


« En essayant continuellement, on finit par réussir.
Donc plus ça rate, plus ça a de chance de marcher. »
Devise Shadock

Offline

#4 2013-05-12 08:24:14

Cthulhu82
Member
From: Angers, France
Registered: 2013-04-01
Posts: 149

Re: [Solved] Pidgin/libpurple problem - no login

Moreover, I just tried Pidgin on Windows, which works fine with my Google account.
So the problem seems not to come from my internet connection.


« En essayant continuellement, on finit par réussir.
Donc plus ça rate, plus ça a de chance de marcher. »
Devise Shadock

Offline

#5 2013-05-12 09:57:48

t0m5k1
Member
From: overthere
Registered: 2012-02-10
Posts: 310

Re: [Solved] Pidgin/libpurple problem - no login

Hmm seems like an issue with the xmpp protocol as both google talk & facebook use xmpp.

can you login with yahoo as well, because that log you posted complains about oscar not being able to start due to:

(11:25:37) plugins: /usr/lib/purple-2/liboscar.so is not usable because the 'purple_init_plugin' symbol could not be found.  Does the plugin call the PURPLE_INIT_PLUGIN() macro?

which is the same error for the libjabber.so (xmpp)
also it may be an idea to:
disable all plugins
re-enter all the account & place a tick in the "Remember password" on the basic tab
if that does not resolve it try to reinstall the following:

purple-plugin-pack


EDIT: spelling!!

Last edited by t0m5k1 (2013-05-12 09:59:18)


Optiplex 790, Intel Core i3-2100 CPU @ 3.10GHz 16Mb Corsair Vengeance 1333Mhz - GeForce 970 - AwesomeWM (occasionally XFCE, i3)

If everything in life was easy, we would learn nothing!
Linux User: 401820   Last FM

Offline

#6 2013-05-12 10:44:34

Cthulhu82
Member
From: Angers, France
Registered: 2013-04-01
Posts: 149

Re: [Solved] Pidgin/libpurple problem - no login

I tried the plugin pack, but it doesn't change anything. I don't have a yahoo account, so I don't know about it.
But I suspect the problem not to be related to libpurple, as it also appends with Gnome-Online-Accounts, which does not depend of libpurple but only telepathy.

I tried to suppress/reinstal all telepathy, with some part of gnome (gnome-shell, gdm and a few apps depending of telepathy), but it had no effect.
I really don't understand from where the problem comes…


« En essayant continuellement, on finit par réussir.
Donc plus ça rate, plus ça a de chance de marcher. »
Devise Shadock

Offline

#7 2013-05-12 11:00:23

t0m5k1
Member
From: overthere
Registered: 2012-02-10
Posts: 310

Re: [Solved] Pidgin/libpurple problem - no login

I only had this problem when I never saved the passwords for google & facebook & fixed it by saving the passwords & re-installing the purple-plugin-pack.

All I can suggest now is logging a bug upstream on the pidgin site (after searching for similar ones) & provide as much info as possible ie:

pidgin -d

paste all the output to a pastebin & link to it in the logged bug, good luck


Optiplex 790, Intel Core i3-2100 CPU @ 3.10GHz 16Mb Corsair Vengeance 1333Mhz - GeForce 970 - AwesomeWM (occasionally XFCE, i3)

If everything in life was easy, we would learn nothing!
Linux User: 401820   Last FM

Offline

#8 2013-05-12 11:31:18

Cthulhu82
Member
From: Angers, France
Registered: 2013-04-01
Posts: 149

Re: [Solved] Pidgin/libpurple problem - no login

Thank you anyway for your help.


« En essayant continuellement, on finit par réussir.
Donc plus ça rate, plus ça a de chance de marcher. »
Devise Shadock

Offline

#9 2013-05-12 12:35:26

Cthulhu82
Member
From: Angers, France
Registered: 2013-04-01
Posts: 149

Re: [Solved] Pidgin/libpurple problem - no login

t0m5k1, you were right about suspecting IPv6.
I tried to launch pidgin in debug mode and let it run. It finally connected to my google account, and the debug message show me an IPv6 adress at first, then an IPv4 when pidgin successfully login.
I disabled the IPv6 option of my modem and now everything works fine: gnome-online-accounts, empathy and pidgin as well.

I mark it as solved, even if I still don't know what cause that in the first place…


« En essayant continuellement, on finit par réussir.
Donc plus ça rate, plus ça a de chance de marcher. »
Devise Shadock

Offline

#10 2013-05-12 15:57:56

t0m5k1
Member
From: overthere
Registered: 2012-02-10
Posts: 310

Re: [Solved] Pidgin/libpurple problem - no login

Glad you resolved this & hope you get the wider issue fixed.


Optiplex 790, Intel Core i3-2100 CPU @ 3.10GHz 16Mb Corsair Vengeance 1333Mhz - GeForce 970 - AwesomeWM (occasionally XFCE, i3)

If everything in life was easy, we would learn nothing!
Linux User: 401820   Last FM

Offline

Board footer

Powered by FluxBB